export declare const createEventSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodDate;
    location: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "location" | "name" | "date" | "folderId" | "tagAssistedId" | "tagConfirmedId" | "supraEventId">, "strip", import("zod").ZodTypeAny, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>;
declare const CreateEventDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    location: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>>;
export declare class CreateEventDto extends CreateEventDto_base {
}
export declare const createEventResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodDate;
    location: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>;
declare const CreateEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodString;
    location: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>>;
export declare class CreateEventResponseDto extends CreateEventResponseDto_base {
}
export {};
