import z from 'zod';
export declare const getByIdEventResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    folder: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
    }, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
    }>>;
}>, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    folder: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
    } | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    folder: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
    } | null;
}>;
declare const GetByIdEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    folder: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
    }, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
    }>>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    folder: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
    } | null;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    folder: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
    } | null;
}>>;
export declare class GetByIdEventResponseDto extends GetByIdEventResponseDto_base {
}
export {};
